@layer addon {
    .templateCover, .templateHomepageCover {
        padding: 0;

        .container {
            grid-column: full-start / full-end;
        }
        
        &:before {
            content: '';
            position: absolute;
            z-index: 8;
            top: 0;
            left: 0;
            width: 80px;
            height: 80px;
            background-color: inherit;
            @media (max-width: 56em) {
                bottom: 0;
                right: auto;
                left: 0;
                width: 48px;
                height: 48px;
            }
            @media (--max-fablet) {
                bottom: 0;
                right: auto;
                left: 0;
                width: 48px;
                height: 48px;
            }
        }
        &:after {
            content: '';
            position: absolute;
            z-index: 8;
            bottom: 0;
            right: 80px;
            width: 80px;
            height: 80px;
            background-color: inherit;
            @media (max-width: 56em) {
                right: auto;
                left: 0;
                width: 48px;
                height: 48px;
            }
            @media (--max-fablet) {
                right: auto;
                left: 0;
                width: 48px;
                height: 48px;
            }
        }

        .media {
            height: 100%;
            &:before {
                content: "";
                background: linear-gradient(180deg, rgba(0, 0, 0, 0.75) 0%, rgba(0, 0, 0, 0.00) 55.04%, rgba(0, 0, 0, 0.00) 100%);
                background-blend-mode: multiply;
                height: 270px;
                width: 100%;
                position: absolute;
                left: 0;
                top: 0;
                z-index: 0;
            }
        }        

        .inner {
            width: min-content;
            position: absolute;
            z-index: 8;
            bottom: 80px;
            left: var(--spacer);
            height: calc(100% - 160px);

            @media (min-width: 56em) {
                min-width: 400px;
                max-width: 50%;
            }

            @media (--min-fablet) {
                min-width: 400px;
                max-width: 50%;
            }
            

            @media (max-width: 56em) {
                width: calc(100% - 48px - var(--spacer));
                height: auto;
                left: 48px;
                bottom: 48px;
                .title {
                    font-size: var(--m-fontsize);
                }
            }
            

            @media (--max-fablet) {
                width: calc(100% - 48px - var(--spacer));
                height: auto;
                left: 48px;
                bottom: 48px;
                .title {
                    font-size: var(--m-fontsize);
                }
            }
            .intro {
                .title {
                    -webkit-hyphens: none;
                            hyphens: none;
                }
            }
            .content {
                font-size: var(--xs-fontsize);
                @media (max-width: 56em) {
                    display: none;
                }
                @media (--max-fablet) {
                    display: none;
                }
            }
            .buttons {
                align-items: flex-start;
                .button {
                    width: auto;
                }
            }
        }

        .container {
            background-color: inherit;
            &:before {
                content: '';
                position: absolute;
                z-index: 8;
                bottom: 80px;
                right: 0;
                width: 80px;
                height: 80px;
                background-color: inherit;
                @media (max-width: 56em) {
                    display: none;
                }
                @media (--max-fablet) {
                    display: none;
                }
            }
            @media (max-width: 56em) {
                align-items: flex-end;
                justify-content: flex-end;
            }
            @media (--max-fablet) {
                align-items: flex-end;
                justify-content: flex-end;
            }
        }

        .scrollDown {
            position: absolute;
            color: var(--color-light);
            left: 50%;
            transform: translateX(-50%);
            z-index: 8;
            cursor: pointer;
            display: flex;
            flex-direction: column;
            padding: 0;
            bottom: var(--gutter);
            gap: 0;
            align-items: center;
            @media (max-width: 56em) {
                display: none;
            }
            @media (--max-fablet) {
                display: none;
            }
            .icon {
                width: 20px;
            }
            .text {
                font-weight: bold;
                font-size: calc(var(--xs-fontsize) - .2rem);
            }
        }
    }

    .templateHomepageCover {
        .splide {
            max-width: 100vw;
            height: 100vh;
            position: initial;
            grid-column: span 12;
            .splide__track {height: 100vh}
            .splide__slide {width: 100%;height: 100%}
            .splide__pagination {
                position: absolute;
                z-index: 8;
                margin: 0;
                bottom: 0;
                left: var(--spacer);
                height: 80px;
                @media (max-width: 56em) {
                    left: 68px;
                    height: 48px;
                    list-style: none;
                }
                @media (--max-fablet) {
                    left: 68px;
                    height: 48px;
                    list-style: none;
                }
                li {
                    display: flex;
                }
                button {
                    background-color: var(--color-light);
                    margin: 0 3px;
                }
            } 
        }
    }
}